/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizactivate.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizactivate.entity.BizActivate;
import vip.xiaonuo.biz.modular.bizactivate.param.BizActivateAddParam;
import vip.xiaonuo.biz.modular.bizactivate.param.BizActivateEditParam;
import vip.xiaonuo.biz.modular.bizactivate.param.BizActivateIdParam;
import vip.xiaonuo.biz.modular.bizactivate.param.BizActivatePageParam;

import java.util.List;

/**
 * 用户充值待激活记录Service接口
 *
 * @author fanzherong
 * @date  2025/02/27 16:36
 **/
public interface BizActivateService extends IService<BizActivate> {

    /**
     * 获取用户充值待激活记录分页
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     */
    Page<BizActivate> page(BizActivatePageParam bizActivatePageParam);

    /**
     * 添加用户充值待激活记录
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     */
    void add(BizActivateAddParam bizActivateAddParam);

    /**
     * 编辑用户充值待激活记录
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     */
    void edit(BizActivateEditParam bizActivateEditParam);

    /**
     * 删除用户充值待激活记录
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     */
    void delete(List<BizActivateIdParam> bizActivateIdParamList);

    /**
     * 获取用户充值待激活记录详情
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     */
    BizActivate detail(BizActivateIdParam bizActivateIdParam);

    /**
     * 获取用户充值待激活记录详情
     *
     * @author fanzherong
     * @date  2025/02/27 16:36
     **/
    BizActivate queryEntity(String id);
}
